@charset "UTF-8";

:root {
    /*darker white #E9E8EB*/
    --primary:      #EDECEF;
    --inverse:      #0F0F0F;
    --feature_bg:    #FFFFFF;
    /*--text_a1:      #EDECEFB6;*/
    --text_a1:      #00000000;
    --text_a2:      #EDECEFDD;
    --title:        #AAA;
    --title_hover:  #777;
    --text_primary: #888;
    --text_inverse: #434343;
    --text_alt:     #222;
    
    /* dark mode vals */
    --black:                #323233;
    --feature_bg_dark:      #434343;
    /*--black_a1:             #323233B6;*/
    --black_a1:             #00000000;
    --black_a2:             #323233B9;
    --title_dark:           #1A1A1A;
    --title_hover_dark:     #000000;
    --text_primary_dark:    #434343;
    --text_inverse_dark:    #888;
    --text_alt_dark:        #EDECEF;

    /* light mode values */
    --white:                #EDECEF;
    --feature_bg_light:     #FFFFFF;
    --white_a1:             #00000000;
    --white_a2:             #EDECEFDD;
    --title_light:          #AAA;
    --title_hover_light:    #777;
    --text_primary_light:   #888;
    --text_primary_light:   #434343;
    --text_alt_light:       #222;

}

/* Body */
body {
	font-family: 'Spartan', arial;
	background-color: #131313;
	margin-top: 0px;
	margin-right: 0px;
	margin-bottom: 0px;
	margin-left: 0px;
	font-style: normal;
	font-weight: 200;
    /* cursor: url(../images/CursorShadow.png) 2 1, default; */
}
a {
    display: block;
    width: auto;
}
/* Container */
.container {
	width: 100%;
	margin-left: auto;
	margin-right: auto;
	height: 100vh;
	/*background-color: #FFFFFF;*/
}

/* Dark Mode buttom */
#DarkMode {
    position: absolute;
    top: 0;
    left: 0;
    height: 13px;
    width: 13px;
    background-image: linear-gradient(to bottom right, var(--inverse) 49%, transparent 50%);
    transition: all 0.2s ease-in-out;
}
#DarkMode:hover {
    height: 22px;
    width: 22px;
}

/* Navigation */
.header {
    top: 0;
    position: fixed;
	width: 100%;
    z-index: 100;
	/* background-color: #4D7CFF; */
    /* background-image: url(../images/Page1_Img1.png); */
    /*background-attachment: fixed;
    background-size: cover;*/
    transition: all 0.4s ease-in-out;
}
.navbar-fixed {
    
    border-style: none none solid none;
    border-width: 1.1px;
    border-color: var(--title);
    
    transition: background-color 0.4s ease-in-out,
        border-width 0.4s linear, border-color 0.4 ease-in-out;
}
#NavTitle {
    position: absolute;
    left: 50%;
    top: -.05em;
    transform: translate(-50%, 0);
    
    text-decoration: none;
}
#Logo {
    position: relative;
    height: 3.7em;
    width: 0;
    top: -.3em;
    margin: 0;
    padding-right: 0;
    object-position: 0 0;
    object-fit: cover;

    transition: width 0.4s ease-out, padding-right 0.4s ease-in;
}
#NavTitle:hover > #Logo {
    width: 3.7em;
    padding-right: 0.7em;
}
.title {
    pointer-events: none;
    
    display: inline-block;
    width: auto;
    height: 3.7em;

    margin: 1.5em 0 0 0;

    font-family: "capitana", sans-serif;
    font-weight: 600;
    letter-spacing: .15em;

    background-color: var(--title);
    background-clip: text;
    color: transparent;
    text-shadow: var(--text_a1) 1.5px 1.5px 5px;
    
    -moz-background-clip: text;
    -webkit-background-clip: text;
    transition: all 0.25s linear;
}

.title_svg {
    display: inline-block;
    width: auto;
    height: 3.8em;

    margin: 1.5em 0 0 0;
    
    fill: var(--text_a1);
    
    transition: all 0.25s linear;
}

.title_bg {
    fill: var(--title);
    
    transition: all 0.25s linear;
}

/*#NavTitle:hover > .title {
    background-color: var(--title_hover);
    text-shadow: var(--text_a2) 1.5px 1.5px 5px;
}*/

#NavTitle:hover .title_svg{
    fill: var(--text_a2);
}
#NavTitle:hover .title_bg {
    fill: var(--title_hover);
}

#NavBar {
    height: 6.1em;
    background-color: var(--primary);
    
    /*border-style: none none solid none;
    border-width: 0px;*/
    border-color: var(--title);
    
    transition: background-color 0.25s linear;
    
    transition: background-color 0.4s ease-in-out,
        border-width 0.4s ease-in-out, border-color 0.4s ease-in-out;
}

nav {
    display: inline-block;
	position: absolute;
	width: 100%;
    height: auto;
    
    font-family: "capitana", sans-serif;
    font-weight: 500;
}

nav ul li {
    position: relative;
	float: left;
    
	font-size: 2.1em;
	letter-spacing: 2px;
}

/* Nav Buttons */
header nav ul {
    position: absolute;
    width: auto;
    top: 0;
    list-style: none;
    float: right;
    margin-top: .8em;
    margin-bottom: 0;
    padding: 0 1vw 0 1vw;
}
.btn-left {
    transform: translate(-50%);
    left: 13%;
}
.btn-right {
    transform: translateX(50%);
    right: 13%;
}

.btn {
    position: relative;
    top: .43vw;
    padding-top: 0;
    padding-bottom: .6vw;
    padding-right: 1vw; 
    padding-left: 1vw;
    margin: 0 2.5vw 0 2.5vw;
    
    text-decoration: none;
    
    background-color: var(--title);
    background-clip: text;
    color: transparent;
    text-shadow: var(--text_a1) 1px 1px 5px;
    -moz-background-clip: text;
    -webkit-background-clip: text;
    transition: all 0.25s linear;
}
.btn:hover {
    background-color: var(--title_hover);
    text-shadow: var(--text_a2) .5px .3px 6px;
}

/* The container <div> - needed to position the dropdown content */
.dropdown {
    position: relative;
    display: block;
}
.options {
    
}

/* About Section */
.titleText {
	text-align: center;
    font-family: "capitana", sans-serif;
    font-weight: 100;
    letter-spacing: 0.125em;
    position: absolute;
    top: 21%;
    left: 8%;
    width: 43%;
    text-align: center;
    font-size: 3.7em;
    margin: 0;
    color: var(--text_alt);
}
.aboutText {
    font-family: "capitana", sans-serif;
    font-weight: 100;
    letter-spacing: 0.125em;
    position: absolute;
    top: 35%;
    left: 8%;
    width: 43%;
    text-align: center;
    font-size: 1.3em;
    line-height: 2.1em;
    margin: 0;
    color: var(--text_alt);
}

.text_column {
	/*width: 29%;*/
	text-align: center;
	font-weight: lighter;
	font-size: 18pt;
    line-height: 1.8em;
    margin: 0.3em;
	/*float: left;
	padding-left: 20px;
	padding-right: 20px;*/
	color: #2F2F2F;
}
hr {
    margin: 1.3em 0 1.3em 0;
}

/* Design Backgrounds */

#FeatureSection {
    width: 100%;
    height: 106vh;
}
.featureBanner {
    display: block;
    position: absolute;
    height: 3.9em;
    width: 80%;
    left: 10%;
    top: calc(78% + 6em);
    
    background-image: linear-gradient(to right, var(--feature_bg) 99%, #198C58 99%);
    box-shadow: 0 1px 5px #33333322;
}
.featureTag {
    display: inline-flex;
    height: 100%;
    width: 18%;
    margin: 0;
    align-items: center;
    justify-content: center;
    
    font-family: "capitana", sans-serif;
    font-weight: 500;
    letter-spacing: .07em;
    font-size: 1.5em;
    color: #FFFFFF;
    
    background-image: linear-gradient(to right, #6BC673, #198C58);
}
.featureBannerText {
    display: inline-flex;
    width: 50%;
    margin: 0;
    padding-left: 1%;
    align-items: center;
    
    font-family: "capitana", sans-serif;
    font-size: 1.2em;
    letter-spacing: 0.08em;
    font-weight: 100;
    color: var(--text_alt);
}
.featureContainer {
    height: 100%;
    width: 100%;
    
    display: grid;
    grid-template-columns: auto;
    grid-template-rows: 90% auto;
}
.featureText {
    height: 100%;
    padding: 20% 5% 20% 5%;
    background-color: #141213;
    
    font-family: "capitana", sans-serif;
    font-weight: 100;
    letter-spacing: .15em;
    font-size: 1.5em;
    color: #FFFFFF;
}
#HomeFeatureImage {
    position: relative;
    top: 6em;
    left: 2%;
    height: 90%;
    width: 96%;
    overflow: hidden;
    /*background-position: center;
    background-size: cover;
    background-image: url("../images/ICS Render.png"), url(../images/tokyo-bokeh.jpg), linear-gradient(to bottom, #D8DBE2, #373F51);*/
    border-radius: 20px;
}

#twitch-embed {
    position: relative;
    height: 100%;
}

#midFeature {
    height: 100%;
    background-color: var(--title);
}

#endFeature {
    height: 100%;
    background-color: transparent;
}

.textSection {
    position: relative;
    background-repeat: no-repeat;
    width: 100%;
    height: 90%;
    background-color: var(--primary);
    overflow: hidden;
}
.circle {
    display: inline-block;
    height: 66vw;
    width: 66vw;
    border-radius: 50%;
    
    position: absolute;
    top: 3%;
    right: -33vw;
    
    object-fit: cover;
    
    background: linear-gradient(#6BC673, #198C58);
}

/* Noscript warning */
#noscript {
    top: 30%;
    font-size: 40px;
    line-height: 70px;
    background-color: #000000;

}
#main_page_title {
    position: absolute;
    top: 45%;
    transform: translateY(-55%);
}
#page_title {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
}
/* More info */
.footer_logo {
    margin: 2% 6% 0 6%;
    width: 88%;
    fill: var(--primary);
}
.credits {
    display: grid;
    
    grid-template-columns: 30% 40% 30%;
    align-items: center;
    
    border-style: solid none none none;
    border-width: 1px;
    border-color: var(--title);
    
	padding-top: 1.3em;
	padding-bottom: 1.3em;
	/*background-color: #131313;*/
    background: linear-gradient(to right, #6BC673, #198C58);
}
.footer {
    font-family: "capitana", sans-serif;
    font-size: 1.3em;
    letter-spacing: .1em;
    
	margin-bottom: 0px;
	background-repeat: repeat;
}
.DAInfo {
    text-align: center;
    font-size: .9em;
    line-height: 1em;
    letter-spacing: .3em;
    font-weight: 300;
    color: var(--primary);
}
.footer_buttons {
    display: grid;
    
    gap: 18px;
    grid-template-rows: auto auto;
}
.footer_buttons > div {
    width: 85%;
    
    display: grid;
    gap: 18px;
    grid-template-columns: auto auto;
}
.footer_btn {
    display: inline-block;
    width: auto;
    text-decoration: none;
    text-align: center;
    font-weight: 500;
    
    color: var(--primary);
    mix-blend-mode: normal;
    background-color:transparent;
    border: 3px solid var(--primary);
    border-radius: 7px;
    
    padding-top: .6em;
    padding-bottom: .7em;
    transition: all 0.2s linear, color 0s linear;
}
.footer_btn:hover {
    color: #198C58;
    /*color: black;
    mix-blend-mode: screen;*/
    background-color: var(--primary);
}
.hidden {
	display: none;
}
